# Uses of Interface
org.eclipse.microprofile.openapi.models.media.Discriminator

Packages that use Discriminator
Package
Description
org.eclipse.microprofile.openapi
A set of Java interfaces, annotations and programming models which allow Java developers to natively produce OpenAPI v3 documents from their JAX-RS applications.
org.eclipse.microprofile.openapi.models.media
A set of interfaces for programmable models to represent input and output data types and media types.

## Uses of Discriminator in org.eclipse.microprofile.openapi

Methods in org.eclipse.microprofile.openapi that return Discriminator
Modifier and Type
Method
Description
`static Discriminator`
OASFactory.`createDiscriminator()`
This method creates a new `Discriminator` instance.

## Uses of Discriminator in org.eclipse.microprofile.openapi.models.media

Methods in org.eclipse.microprofile.openapi.models.media that return Discriminator
Modifier and Type
Method
Description
`Discriminator`
Discriminator.`addMapping(String name, String value)`
Maps the given name to the given value and stores it in this Discriminator's mapping property.
`Discriminator`
Schema.`getDiscriminator()`
Returns the discriminator property from this Schema instance.
`default Discriminator`
Discriminator.`mapping(Map<String,String> mapping)`
Sets this Discriminator's mapping property to the given map object.
`default Discriminator`
Discriminator.`propertyName(String propertyName)`
Sets this Discriminator's propertyName property to the given string.
Methods in org.eclipse.microprofile.openapi.models.media with parameters of type Discriminator
Modifier and Type
Method
Description
`default Schema`
Schema.`discriminator(Discriminator discriminator)`
Sets the discriminator property of this Schema instance to the given object.
`void`
Schema.`setDiscriminator(Discriminator discriminator)`
Sets the discriminator property of this Schema instance to the given object.